Ipelib

Public Member Functions | List of all members
ipe::Visitor Class Reference
Ipe Utilities

`#include <ipeobject.h>`

Inherited by CollectSegs, ipe::BitmapFinder, and ipe::TextCollectingVisitor.

## Public Member Functions
virtual | ~Visitor ()
virtual void | visitGroup (const Group *obj)
virtual void | visitPath (const Path *obj)
virtual void | visitText (const Text *obj)
virtual void | visitImage (const Image *obj)
virtual void | visitReference (const Reference *obj)

## Detailed Description

Base class for visitors to Object.

Many operations on Ipe Objects are implemented as visitors, all derived from Visitor.

The default implementation of each visitXXX member does nothing.

## Constructor & Destructor Documentation

## ◆ ~Visitor()

Visitor::~Visitor | ( |  | ) |
| virtual

Pure virtual destructor.

Referenced by ipe::Object::snapBnd().

## Member Function Documentation

## ◆ visitGroup()

void Visitor::visitGroup | ( | const Group * | obj | ) |
| virtual

Called on an Group object.

Reimplemented in ipe::BitmapFinder.

Referenced by ipe::Group::accept().

## ◆ visitPath()

void Visitor::visitPath | ( | const Path * | obj | ) |
| virtual

Called on an Path object.

Referenced by ipe::Path::accept().

## ◆ visitText()

void Visitor::visitText | ( | const Text * | obj | ) |
| virtual

Called on an Text object.

Referenced by ipe::Text::accept().

## ◆ visitImage()

void Visitor::visitImage | ( | const Image * | obj | ) |
| virtual

Called on an Image object.

Reimplemented in ipe::BitmapFinder.

Referenced by ipe::Image::accept().

## ◆ visitReference()

void Visitor::visitReference | ( | const Reference * | obj | ) |
| virtual

Called on an Reference object.

Referenced by ipe::Reference::accept().

The documentation for this class was generated from the following files:

- ipeobject.h
- ipeobject.cpp